Bug 853667 - scanner not identified
scanner not identified
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: sane-backends (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-01 20:04 EDT by aum
Modified: 2013-03-10 12:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 00:40:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description aum 2012-09-01 20:04:59 EDT
Description of problem: UMAX Astra 1200s scanner found by sane-find-scanner but not identified by scanimage -L. The same in Fedora 16. In Fedora 15 works fine.

How reproducible: every time

Steps to Reproduce:
1. switch the scanner on 
2. boot the system
3. run sane-find-scanner (scanner find at /dev/sg*)
4. run scanimage -L
  
Actual results: No scanners were identified.

Expected results: Scanner identified.
Comment 1 Nils Philippsen 2012-09-03 08:03:17 EDT
Please check if this issue is fixed with the new upstream release 1.0.23, available from updates-testing.
Comment 2 aum 2012-09-03 22:19:52 EDT
With scanimage -L (rel. 1.0.23) scanner is identified but scanning does not work.
Sometimes it crashes immediately:
$ scanimage -p >test
scanimage: sane_start: Device busy
Segmentation fault (core dumped)

In most cases it stops after while:
$ scanimage -p >test
Progress: 22.3%

Here it stops forever. Percentage vary in different runs. Part of image is saved.
Comment 3 Nils Philippsen 2012-09-04 10:34:39 EDT
Just to confirm: Was this the same upstream version of sane-backends (1.0.22) with which your device worked in Fedora 15 and ceased to work in 16? I'm asking because the umax driver code hasn't changed since before version 1.0.21.

At any rate, scanimage shouldn't crash, can you "debuginfo-install --enablerepo=updates-testing sane-backends" and generate a backtrace?
Comment 4 aum 2012-09-04 11:09:41 EDT
My working version on F15 is:
Name        : sane-backends
Arch        : x86_64
Version     : 1.0.22
Release     : 10.fc15

I have no F16 installed now, but i expect non-working version on F16 on the same hardware was 1.0.22, too. F17 is tested on the different machine, the SCSI card and the scanner are still the same. The backtrace will follow later, from the other box.
Comment 5 Nils Philippsen 2012-09-04 11:12:51 EDT
Sure, just a heads-up that I'm on vacation from mid of next week well into October.
Comment 6 aum 2012-09-04 12:21:43 EDT
How to generate the backtrace? There is nothing in ABRT after the crash. Btw. I'm on vacation from mid of next week too.
Comment 7 aum 2012-09-04 13:07:14 EDT
I can repeatedly invoke the crash by pressing Ctrl-C while scanning. This crash is monitored by ABRT. Sometimes the crash occures before the scanning actualy starts, while "Device busy". This crash is never recognised by ABRT.
Comment 8 Nils Philippsen 2012-09-05 04:23:34 EDT
The safest way to get a backtrace would be to run the program directly from the debugger. Here's how I run scanimage to scan from the scanner attached to my machine, you will need to change the "-d hp3900:libusb:001:010" part of the "run" command line to fit your environment:

nils@gibraltar:~> gdb /usr/bin/scanimage
GNU gdb (GDB) Fedora (7.4.50.20120120-50.fc17)
Copyright (C) 2012 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/scanimage...Reading symbols from /usr/lib/debug/usr/bin/scanimage.debug...done.
done.
(gdb) run -d hp3900:libusb:001:010 -p > /tmp/test
Starting program: /usr/bin/scanimage -d hp3900:libusb:001:010 -p > /tmp/test
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
[...]

At this point, wait for the program to crash (the debugger will tell you that it did so. Then do:

(gdb) backtrace
[...]

Here it will spit out the complete call stack of when the crash happened. Please copy the backtrace into a file using your text editor and attach it to this bug report. Thanks!
Comment 9 aum 2012-09-05 22:16:21 EDT
Here is the backtrace:

Starting program: /usr/bin/scanimage -d umax:/dev/sg2 -p > /tmp/test
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
scanimage: sane_start: Device busy

Program received signal SIGSEGV, Segmentation fault.
pthread_cancel (th=0) at pthread_cancel.c:35
35	  if (INVALID_TD_P (pd))
(gdb) backtrace
#0  pthread_cancel (th=0) at pthread_cancel.c:35
#1  0x00007ffff7bc0ad3 in sanei_thread_kill (pid=<optimized out>) at sanei_thread.c:176
#2  0x00007ffff506d112 in do_cancel (scanner=0x555555777560) at umax.c:4677
#3  0x0000555555556bd0 in test_it () at scanimage.c:1612
#4  main (argc=<optimized out>, argv=<optimized out>) at scanimage.c:2361
(gdb)
Comment 10 Nils Philippsen 2012-09-06 04:47:15 EDT
Please run the command normally (i.e. not under the debugger), but with debugging for threading and your backend enabled and paste the output:

SANE_DEBUG_UMAX=7 SANE_DEBUG_SANEI_THREAD=2 scanimage ...

Thanks!
Comment 11 aum 2012-09-06 07:22:09 EDT
Run without crash:

$ SANE_DEBUG_UMAX=7 SANE_DEBUG_SANEI_THREAD=2 scanimage -p > test
[sanei_debug] Setting debug level of umax to 7.
[umax] This is sane-umax version 1.0 build 45
[umax] compiled with USB support for Astra 2200
[umax] (C) 1997-2002 by Oliver Rauch
[umax] EMAIL: Oliver.Rauch@rauch-domain.de
[sanei_debug] Setting debug level of sanei_thread to 2.
[umax] reading configure file umax.conf
[umax] sanei_config_attach_matching_devices(scsi UMAX * Scanner)
[umax] attach_scanner: opening scsi device /dev/sg2
[umax] attach_scanner: sanei_scsi_open_extended returned scsi buffer size = 16384
[umax] attach_scanner: allocating SCSI buffer[0]
[umax] init
[umax] request_scsi_maxqueue          = 2
[umax] request_preview_lines          = 10
[umax] request_scan_lines             = 40
[umax] handle_bad_sense_error         = 0
[umax] execute_request_sense          = 0
[umax] scsi_buffer_size_min           = 32768
[umax] scsi_buffer_size_max           = 131072
[umax] force_preview_bit_rgb          = 0
[umax] slow                           = -1
[umax] smear                          = -1
[umax] calibration_area               = -1
[umax] calibration_width_offset       = -99999
[umax] calibration_width_offset_batch = -99999
[umax] calibration_bytespp            = -1
[umax] exposure_time_rgb_bind         = -1
[umax] invert_shading_data            = -1
[umax] lamp_control_available         = 0
[umax] backend runs on little endian machine
[umax] variable scsi buffer size (usage of sanei_scsi_open_extended)
[umax] initialize_values
[umax] identify_scanner
[umax] do_inquiry
[umax] Found UMAX  scanner Astra 1200S version V2.9 on device /dev/sg2
[umax] umax_correct_inquiry("UMAX  Astra 1200S  V2.9")
[umax] using standard options for Astra 1200S 
[umax] get_inquiry_values
[umax] INQUIRY:
[umax] ========
[umax] 
[umax] vendor........................: 'UMAX    '
[umax] product.......................: 'Astra 1200S     '
[umax] version.......................: 'V2.9'
[umax] peripheral qualifier..........: 0
[umax] peripheral device type........: 6
[umax] 
[umax] CBHS value range..............: 0-255
[umax] scanmode......................: flatbed (FB)
[umax] inquiry block length..........: 160 bytes
[umax] 
[umax] ISO  Version (reserved).......: 0
[umax] ECMA Version (reserved).......: 0
[umax] ANSI Version .................: 2
[umax] 
[umax] reserved byte 0x05 = 0
[umax] reserved byte 0x06 = 0
[umax] 
[umax] scsi features (00):
[umax] -------------------
[umax] 
[umax] f/w support function:
[umax] ---------------------
[umax]  - quality calibration
[umax]  - fast preview function
[umax] 
[umax] reserved byte 0x36 = 0
[umax] reserved byte 0x37 = 0
[umax] 
[umax] scan modes (76):
[umax] ----------------
[umax]  - single pass color mode
[umax]  - lineart mode
[umax]  - gray mode
[umax]  - color mode
[umax]  - transparency (UTA)
[umax] 
[umax] scanner capability (be, 00, 00):
[umax] --------------------------------
[umax]  - send high byte first
[umax]  - bi-level image reverse
[umax]  - multi-level image reverse
[umax]  - paper length can reach to 14 inch
[umax] 
[umax] gamma download available
[umax] gamma download type 2
[umax] lines of gamma curve: one line (gray), three lines (color) download
[umax] gamma input   8 bits/pixel support
[umax] gamma input  10 bits/pixel support
[umax] gamma output  8 bits/pixel support
[umax] gamma output 10 bits/pixel support
[umax] 
[umax] reserved byte 0x65 = 0
[umax] reserved byte 0x67 = 0
[umax] 
[umax] reserved byte 0x6b = 0
[umax] reserved byte 0x6c = 0
[umax] 
[umax] color sequence............................: all supported
[umax] color ordering support....................: pixel
[umax] 
[umax] maximum video memory......................: 223 KB
[umax] 
[umax] reserved byte 0x72 = 0
[umax] 
[umax] optical resolution........................: 600 dpi
[umax] maximum x-resolution......................: 600 dpi
[umax] maximum y-resolution......................: 1200 dpi
[umax] 
[umax] FB (flatbed-mode):
[umax] FB maximum scan width.....................: 8.50 inch
[umax] FB maximum scan length....................: 14.00 inch
[umax] 
[umax] UTA (transparency-mode):
[umax] UTA x-original point......................: 0.00 inch
[umax] UTA y-original point......................: 0.00 inch
[umax] UTA maximum scan width....................: 8.50 inch
[umax] UTA maximum scan length...................: 11.70 inch
[umax] 
[umax] reserved byte 0x82 = 0
[umax] 
[umax] DOR (double optical resolution-mode):
[umax] DOR optical resolution....................: 0 dpi
[umax] DOR maximum x-resolution..................: 0 dpi
[umax] DOR maximum y-resolution..................: 0 dpi
[umax] DOR x-original point......................: 0.00 inch
[umax] DOR y-original point......................: 0.00 inch
[umax] DOR maximum scan width....................: 0.00 inch
[umax] DOR maximum scan length...................: 0.00 inch
[umax] 
[umax] reserved byte 0x8e = 0
[umax] 
[umax] last calibration lamp density.............: 0
[umax] 
[umax] reserved byte 0x90 = 0
[umax] 
[umax] lamp warmup maximum time..................: 0 sec
[umax] window descriptor block length............: 82 bytes
[umax] no analog gamma function
[umax] 
[umax] reserved byte 0x98 = 0
[umax] reserved byte 0x99 = 0
[umax] 
[umax] maximum calibration data lines for shading: 64
[umax] fb/uta: color line arrangement mode.......: 0
[umax] adf:    color line arrangement mode.......: 0
[umax] CCD line distance.........................: 8
[umax] 
[umax] reserved byte 0x9e = 0
[umax] 
[umax] ==================== end of inquiry ====================
[umax] 
[umax] x_range.max     = 215.899994
[umax] y_range.max     = 355.599991
[umax] x_dpi_range.max = 600.000000
[umax] y_dpi_range.max = 1200.000000
[umax] sanei_config_attach_matching_devices(scsi LinoHell JADE)
[umax] sanei_config_attach_matching_devices(scsi LinoHell Office)
[umax] sanei_config_attach_matching_devices(scsi LinoHell Office2)
[umax] sanei_config_attach_matching_devices(scsi LinoHell SAPHIR2)
[umax] sanei_config_attach_matching_devices(scsi LinoHell SAPHIR3)
[umax] sanei_config_attach_matching_devices(scsi Linotype SAPHIR4)
[umax] sanei_config_attach_matching_devices(scsi LinoHell OPAL2)
[umax] sanei_config_attach_matching_devices(scsi HDM LS4H1S)
[umax] sanei_config_attach_matching_devices(scsi Nikon AX-110)
[umax] sanei_config_attach_matching_devices(scsi Nikon AX-210)
[umax] sanei_config_attach_matching_devices(scsi KYE ColorPage-HR5)
[umax] sanei_config_attach_matching_devices(scsi EPSON Perfection600)
[umax] sanei_config_attach_matching_devices(scsi ESCORT "Galleria 600S")
[umax] sanei_config_attach_matching_devices(scsi TriGem PowerScanII)
[umax] sanei_usb_attach_matching_devices(usb 0x1606 0x0230)
[umax] option connection-type = 1
[umax] attach_scanner: opening scsi device /dev/scanner
[umax] ERROR: attach_scanner: opening scsi device /dev/scanner failed
[umax] option connection-type = 2
[umax] attach_scanner: opening usb device /dev/usbscanner
[umax] sanei_umaxusb_open: open of `/dev/usbscanner' failed: Invalid argument
[umax] ERROR: attach_scanner: opening usb device /dev/usbscanner failed
[umax] finished reading configure file
[sanei_debug] Setting debug level of sanei_thread to 2.
[sanei_debug] Setting debug level of sanei_thread to 2.
[sanei_debug] Setting debug level of sanei_thread to 2.
[sanei_debug] Setting debug level of sanei_thread to 2.
[sanei_debug] Setting debug level of sanei_thread to 2.
[sanei_debug] Setting debug level of sanei_thread to 2.
[sanei_debug] Setting debug level of sanei_thread to 2.
[sanei_debug] Setting debug level of sanei_thread to 2.
[sanei_debug] Setting debug level of sanei_thread to 2.
[sanei_debug] Setting debug level of sanei_thread to 2.
[sanei_debug] Setting debug level of sanei_thread to 2.
[sanei_debug] Setting debug level of sanei_thread to 2.
[sanei_debug] Setting debug level of sanei_thread to 2.
[sanei_debug] Setting debug level of sanei_thread to 2.
[umax] initialize_values
[umax] check_values
[umax] using one pass scanning mode
[umax] scanner uses color-pixel-ordering
[umax] sane_start: umax_scsi_open_extended returned scsi buffer size = 34000
[umax] sane_start: buffer size has changed, reallocating buffer
[umax] sane_start: freeing SCSI buffer[0]
[umax] sane_start: allocating SCSI buffer[0]
[umax] grab_scanner
[umax] wait_scanner
[umax] scanner ready
[umax] scanner reserved
[umax] send_gamma_data
[umax] using gamma download curve format type 2
[umax] set_window_param
[umax] window descriptor block created with 82 bytes
[umax] window(s) set
[umax] start_scan
[umax] starting scan
[umax] do_calibration
[umax] wait_scanner
[umax] scanner reports Device busy, waiting ...
[umax] scanner ready
[sanei_thread] thread started, calling func() now...
[umax] reader_process: allocating SCSI buffer[1]
[sanei_thread] pthread_create() created thread 140569216124672
[umax] trim_rowbufsize: row_bufsize = 33150 bytes = 13 lines
[umax] wait_scanner
[umax] check condition sense handler (scsi_fd = 6)
[umax] invalid sense key error code (127)
[umax] => handled as DEVICE BUSY!
[umax] scanner reports Device busy, waiting ...
[umax] check condition sense handler (scsi_fd = 6)
[umax] invalid sense key error code (120)
[umax] => handled as DEVICE BUSY!
[umax] scanner ready
[umax] umax_queue_read_image_data_req for buffer[0], length = 33150
[umax] umax_queue_read_image_data_req: id for buffer[0] is 0x7fd8df04dcc0
[umax] umax_queue_read_image_data_req for buffer[1], length = 33150
[umax] umax_queue_read_image_data_req: id for buffer[1] is 0x7fd8cc008fe0
[umax] umax_wait_queued_image_data for buffer[0] (id=0x7fd8df04dcc0)
[umax] umax_queue_read_image_data_req for buffer[0], length = 33150
[umax] umax_queue_read_image_data_req: id for buffer[0] is 0x7fd8df04dcc0
[umax] umax_wait_queued_image_data for buffer[1] (id=0x7fd8cc008fe0)
[umax] umax_queue_read_image_data_req for buffer[1], length = 33150
[umax] umax_queue_read_image_data_req: id for buffer[1] is 0x7fd8cc008fe0
[umax] umax_wait_queued_image_data for buffer[0] (id=0x7fd8df04dcc0)
umax_queue_read_image_data_req for buffer[0], length = 33150
[umax] umax_queue_read_image_data_req: id for buffer[0] is 0x7fd8df04dcc0
[umax] umax_wait_queued_image_data for buffer[1] (id=0x7fd8cc008fe0)
[umax] umax_queue_read_image_data_req for buffer[1], length = 33150
[umax] umax_queue_read_image_data_req: id for buffer[1] is 0x7fd8cc008fe0
[umax] umax_wait_queued_image_data for buffer[0] (id=0x7fd8df04dcc0)
[umax] umax_queue_read_image_data_req for buffer[0], length = 33150
[umax] umax_queue_read_image_data_req: id for buffer[0] is 0x7fd8df04dcc0
[umax] umax_wait_queued_image_data for buffer[1] (id=0x7fd8cc008fe0)
umax_queue_read_image_data_req for buffer[1], length = 33150
[umax] umax_queue_read_image_data_req: id for buffer[1] is 0x7fd8cc008fe0
[umax] umax_wait_queued_image_data for buffer[0] (id=0x7fd8df04dcc0)
[umax] umax_queue_read_image_data_req for buffer[0], length = 33150
[umax] umax_queue_read_image_data_req: id for buffer[0] is 0x7fd8df04dcc0
[umax] umax_wait_queued_image_data for buffer[1] (id=0x7fd8cc008fe0)
[umax] umax_queue_read_image_data_req for buffer[1], length = 33150
[umax] umax_queue_read_image_data_req: id for buffer[1] is 0x7fd8cc008fe0
[umax] umax_wait_queued_image_data for buffer[0] (id=0x7fd8df04dcc0)
[umax] umax_queue_read_image_data_req for buffer[0], length = 33150
[umax] umax_queue_read_image_data_req: id for buffer[0] is 0x7fd8df04dcc0
[umax] umax_wait_queued_image_data for buffer[1] (id=0x7fd8cc008fe0)
umax_queue_read_image_data_req for buffer[1], length = 33150
[umax] umax_queue_read_image_data_req: id for buffer[1] is 0x7fd8cc008fe0
[umax] umax_wait_queued_image_data for buffer[0] (id=0x7fd8df04dcc0)
[umax] umax_queue_read_image_data_req for buffer[0], length = 33150
[umax] umax_queue_read_image_data_req: id for buffer[0] is 0x7fd8df04dcc0
[umax] umax_wait_queued_image_data for buffer[1] (id=0x7fd8cc008fe0)
[umax] umax_queue_read_image_data_req for buffer[1], length = 33150
[umax] umax_queue_read_image_data_req: id for buffer[1] is 0x7fd8cc008fe0
[umax] umax_wait_queued_image_data for buffer[0] (id=0x7fd8df04dcc0)
[umax] check condition sense handler (scsi_fd = 6)
[umax] invalid sense key error code (125)
[umax] => handled as DEVICE BUSY!
[umax] umax_wait_queued_image_data: wait returned status Device busy
[umax] ERROR: umax_reader_process: unable to get image data from scanner!
[umax] reader_process: freeing SCSI buffer[1]
[sanei_thread] sanei_thread_kill() will kill -768506112
[sanei_thread] sanei_thread_waitpid() - -768506112
[sanei_thread] * thread has been canceled!
[sanei_thread] * result = 0 (0x7fff1984bf9c)
[sanei_thread] * detaching thread(140569216124672)

At this point scanner head stops moving. After a minute or so it goes back to the starting position. The rest of listing:
[umax] trying to release scanner ...
[umax] check condition sense handler (scsi_fd = 6)
[umax] invalid sense key error code (127)
[umax] => handled as DEVICE BUSY!
[umax] umax_give_scanner: command returned status Device busy
[umax] trying to reposition scanner ...
[umax] check condition sense handler (scsi_fd = 6)
[umax] invalid sense key error code (127)
[umax] => handled as DEVICE BUSY!
[umax] umax_reposition_scanner: command returned status Device busy
[m@hw ~]$ 1.1%
Comment 12 aum 2012-09-06 07:31:58 EDT
List with the crash after short scanning:
$ SANE_DEBUG_UMAX=7 SANE_DEBUG_SANEI_THREAD=2 scanimage -p > test
[sanei_debug] Setting debug level of umax to 7.
[umax] This is sane-umax version 1.0 build 45
[umax] compiled with USB support for Astra 2200
[umax] (C) 1997-2002 by Oliver Rauch
[umax] EMAIL: Oliver.Rauch@rauch-domain.de
[sanei_debug] Setting debug level of sanei_thread to 2.
[umax] reading configure file umax.conf
[umax] sanei_config_attach_matching_devices(scsi UMAX * Scanner)
[umax] attach_scanner: opening scsi device /dev/sg2
[umax] attach_scanner: sanei_scsi_open_extended returned scsi buffer size = 16384
[umax] attach_scanner: allocating SCSI buffer[0]
[umax] init
[umax] request_scsi_maxqueue          = 2
[umax] request_preview_lines          = 10
[umax] request_scan_lines             = 40
[umax] handle_bad_sense_error         = 0
[umax] execute_request_sense          = 0
[umax] scsi_buffer_size_min           = 32768
[umax] scsi_buffer_size_max           = 131072
[umax] force_preview_bit_rgb          = 0
[umax] slow                           = -1
[umax] smear                          = -1
[umax] calibration_area               = -1
[umax] calibration_width_offset       = -99999
[umax] calibration_width_offset_batch = -99999
[umax] calibration_bytespp            = -1
[umax] exposure_time_rgb_bind         = -1
[umax] invert_shading_data            = -1
[umax] lamp_control_available         = 0
[umax] backend runs on little endian machine
[umax] variable scsi buffer size (usage of sanei_scsi_open_extended)
[umax] initialize_values
[umax] identify_scanner
[umax] do_inquiry
[umax] Found UMAX  scanner Astra 1200S version V2.9 on device /dev/sg2
[umax] umax_correct_inquiry("UMAX  Astra 1200S  V2.9")
[umax] using standard options for Astra 1200S 
[umax] get_inquiry_values
[umax] INQUIRY:
[umax] ========
[umax] 
[umax] vendor........................: 'UMAX    '
[umax] product.......................: 'Astra 1200S     '
[umax] version.......................: 'V2.9'
[umax] peripheral qualifier..........: 0
[umax] peripheral device type........: 6
[umax] 
[umax] CBHS value range..............: 0-255
[umax] scanmode......................: flatbed (FB)
[umax] inquiry block length..........: 160 bytes
[umax] 
[umax] ISO  Version (reserved).......: 0
[umax] ECMA Version (reserved).......: 0
[umax] ANSI Version .................: 2
[umax] 
[umax] reserved byte 0x05 = 0
[umax] reserved byte 0x06 = 0
[umax] 
[umax] scsi features (00):
[umax] -------------------
[umax] 
[umax] f/w support function:
[umax] ---------------------
[umax]  - quality calibration
[umax]  - fast preview function
[umax] 
[umax] reserved byte 0x36 = 0
[umax] reserved byte 0x37 = 0
[umax] 
[umax] scan modes (76):
[umax] ----------------
[umax]  - single pass color mode
[umax]  - lineart mode
[umax]  - gray mode
[umax]  - color mode
[umax]  - transparency (UTA)
[umax] 
[umax] scanner capability (be, 00, 00):
[umax] --------------------------------
[umax]  - send high byte first
[umax]  - bi-level image reverse
[umax]  - multi-level image reverse
[umax]  - paper length can reach to 14 inch
[umax] 
[umax] gamma download available
[umax] gamma download type 2
[umax] lines of gamma curve: one line (gray), three lines (color) download
[umax] gamma input   8 bits/pixel support
[umax] gamma input  10 bits/pixel support
[umax] gamma output  8 bits/pixel support
[umax] gamma output 10 bits/pixel support
[umax] 
[umax] reserved byte 0x65 = 0
[umax] reserved byte 0x67 = 0
[umax] 
[umax] reserved byte 0x6b = 0
[umax] reserved byte 0x6c = 0
[umax] 
[umax] color sequence............................: all supported
[umax] color ordering support....................: pixel
[umax] 
[umax] maximum video memory......................: 223 KB
[umax] 
[umax] reserved byte 0x72 = 0
[umax] 
[umax] optical resolution........................: 600 dpi
[umax] maximum x-resolution......................: 600 dpi
[umax] maximum y-resolution......................: 1200 dpi
[umax] 
[umax] FB (flatbed-mode):
[umax] FB maximum scan width.....................: 8.50 inch
[umax] FB maximum scan length....................: 14.00 inch
[umax] 
[umax] UTA (transparency-mode):
[umax] UTA x-original point......................: 0.00 inch
[umax] UTA y-original point......................: 0.00 inch
[umax] UTA maximum scan width....................: 8.50 inch
[umax] UTA maximum scan length...................: 11.70 inch
[umax] 
[umax] reserved byte 0x82 = 0
[umax] 
[umax] DOR (double optical resolution-mode):
[umax] DOR optical resolution....................: 0 dpi
[umax] DOR maximum x-resolution..................: 0 dpi
[umax] DOR maximum y-resolution..................: 0 dpi
[umax] DOR x-original point......................: 0.00 inch
[umax] DOR y-original point......................: 0.00 inch
[umax] DOR maximum scan width....................: 0.00 inch
[umax] DOR maximum scan length...................: 0.00 inch
[umax] 
[umax] reserved byte 0x8e = 0
[umax] 
[umax] last calibration lamp density.............: 0
[umax] 
[umax] reserved byte 0x90 = 0
[umax] 
[umax] lamp warmup maximum time..................: 0 sec
[umax] window descriptor block length............: 82 bytes
[umax] no analog gamma function
[umax] 
[umax] reserved byte 0x98 = 0
[umax] reserved byte 0x99 = 0
[umax] 
[umax] maximum calibration data lines for shading: 64
[umax] fb/uta: color line arrangement mode.......: 0
[umax] adf:    color line arrangement mode.......: 0
[umax] CCD line distance.........................: 8
[umax] 
[umax] reserved byte 0x9e = 0
[umax] 
[umax] ==================== end of inquiry ====================
[umax] 
[umax] x_range.max     = 215.899994
[umax] y_range.max     = 355.599991
[umax] x_dpi_range.max = 600.000000
[umax] y_dpi_range.max = 1200.000000
[umax] sanei_config_attach_matching_devices(scsi LinoHell JADE)
[umax] sanei_config_attach_matching_devices(scsi LinoHell Office)
[umax] sanei_config_attach_matching_devices(scsi LinoHell Office2)
[umax] sanei_config_attach_matching_devices(scsi LinoHell SAPHIR2)
[umax] sanei_config_attach_matching_devices(scsi LinoHell SAPHIR3)
[umax] sanei_config_attach_matching_devices(scsi Linotype SAPHIR4)
[umax] sanei_config_attach_matching_devices(scsi LinoHell OPAL2)
[umax] sanei_config_attach_matching_devices(scsi HDM LS4H1S)
[umax] sanei_config_attach_matching_devices(scsi Nikon AX-110)
[umax] sanei_config_attach_matching_devices(scsi Nikon AX-210)
[umax] sanei_config_attach_matching_devices(scsi KYE ColorPage-HR5)
[umax] sanei_config_attach_matching_devices(scsi EPSON Perfection600)
[umax] sanei_config_attach_matching_devices(scsi ESCORT "Galleria 600S")
[umax] sanei_config_attach_matching_devices(scsi TriGem PowerScanII)
[umax] sanei_usb_attach_matching_devices(usb 0x1606 0x0230)
[umax] option connection-type = 1
[umax] attach_scanner: opening scsi device /dev/scanner
[umax] ERROR: attach_scanner: opening scsi device /dev/scanner failed
[umax] option connection-type = 2
[umax] attach_scanner: opening usb device /dev/usbscanner
[umax] sanei_umaxusb_open: open of `/dev/usbscanner' failed: Invalid argument
[umax] ERROR: attach_scanner: opening usb device /dev/usbscanner failed
[umax] finished reading configure file
[sanei_debug] Setting debug level of sanei_thread to 2.
[sanei_debug] Setting debug level of sanei_thread to 2.
[sanei_debug] Setting debug level of sanei_thread to 2.
[sanei_debug] Setting debug level of sanei_thread to 2.
[sanei_debug] Setting debug level of sanei_thread to 2.
[sanei_debug] Setting debug level of sanei_thread to 2.
[sanei_debug] Setting debug level of sanei_thread to 2.
[sanei_debug] Setting debug level of sanei_thread to 2.
[sanei_debug] Setting debug level of sanei_thread to 2.
[sanei_debug] Setting debug level of sanei_thread to 2.
[sanei_debug] Setting debug level of sanei_thread to 2.
[sanei_debug] Setting debug level of sanei_thread to 2.
[sanei_debug] Setting debug level of sanei_thread to 2.
[sanei_debug] Setting debug level of sanei_thread to 2.
[umax] initialize_values
[umax] check_values
[umax] using one pass scanning mode
[umax] scanner uses color-pixel-ordering
[umax] sane_start: umax_scsi_open_extended returned scsi buffer size = 34000
[umax] sane_start: buffer size has changed, reallocating buffer
[umax] sane_start: freeing SCSI buffer[0]
[umax] sane_start: allocating SCSI buffer[0]
[umax] grab_scanner
[umax] wait_scanner
[umax] check condition sense handler (scsi_fd = 6)
[umax] invalid sense key error code (127)
[umax] => handled as DEVICE BUSY!
[umax] scanner reports Device busy, waiting ...
[umax] check condition sense handler (scsi_fd = 6)
[umax] invalid sense key error code (127)
[umax] => handled as DEVICE BUSY!
[umax] check condition sense handler (scsi_fd = 6)
[umax] invalid sense key error code (127)
[umax] => handled as DEVICE BUSY!
[umax] check condition sense handler (scsi_fd = 6)
[umax] invalid sense key error code (127)
[umax] => handled as DEVICE BUSY!
[umax] check condition sense handler (scsi_fd = 6)
[umax] invalid sense key error code (127)
[umax] => handled as DEVICE BUSY!
[umax] check condition sense handler (scsi_fd = 6)
[umax] invalid sense key error code (127)
[umax] => handled as DEVICE BUSY!
[umax] check condition sense handler (scsi_fd = 6)
[umax] invalid sense key error code (126)
[umax] => handled as DEVICE BUSY!
[umax] check condition sense handler (scsi_fd = 6)
[umax] invalid sense key error code (122)
[umax] => handled as DEVICE BUSY!
[umax] check condition sense handler (scsi_fd = 6)
[umax] invalid sense key error code (121)
[umax] => handled as DEVICE BUSY!
[umax] check condition sense handler (scsi_fd = 6)
[umax] invalid sense key error code (121)
[umax] => handled as DEVICE BUSY!
[umax] check condition sense handler (scsi_fd = 6)
[umax] invalid sense key error code (121)
[umax] => handled as DEVICE BUSY!
[umax] check condition sense handler (scsi_fd = 6)
[umax] invalid sense key error code (121)
[umax] => handled as DEVICE BUSY!
[umax] check condition sense handler (scsi_fd = 6)
[umax] invalid sense key error code (121)
[umax] => handled as DEVICE BUSY!
[umax] check condition sense handler (scsi_fd = 6)
[umax] invalid sense key error code (121)
[umax] => handled as DEVICE BUSY!
[umax] check condition sense handler (scsi_fd = 6)
[umax] invalid sense key error code (122)
[umax] => handled as DEVICE BUSY!
[umax] check condition sense handler (scsi_fd = 6)
[umax] invalid sense key error code (126)
[umax] => handled as DEVICE BUSY!
[umax] scanner ready
[umax] scanner reserved
[umax] send_gamma_data
[umax] using gamma download curve format type 2
[umax] check condition sense handler (scsi_fd = 6)
[umax] invalid sense key error code (127)
[umax] => handled as DEVICE BUSY!
[umax] umax_send_gamma_data(DCF=2): command returned status Device busy
[umax] set_window_param
[umax] window descriptor block created with 82 bytes
[umax] check condition sense handler (scsi_fd = 6)
[umax] invalid sense key error code (127)
[umax] => handled as DEVICE BUSY!
[umax] umax_set_window_param: command returned status Device busy
[umax] start_scan
[umax] starting scan
[umax] check condition sense handler (scsi_fd = 6)
[umax] invalid sense key error code (127)
[umax] => handled as DEVICE BUSY!
[umax] umax_start_scan: command returned status Device busy
[umax] trying to release scanner ...
[umax] umax_give_scanner: command returned status Device busy
[umax] trying to reposition scanner ...
[umax] not waiting for finishing reposition scanner
scanimage: sane_start: Device busy
[sanei_thread] sanei_thread_kill() will kill 0
Segmentation fault (core dumped)
[m@hw ~]$
Comment 13 KitchM 2013-01-15 21:27:23 EST
I don't know if this will help, but my new install of Fedora 17 64-bit will not discover my Umax 2400S, but it does see the Domex SCSI card to which it is plugged.  Fresh boot with scanner on finds nothing.

This may be a kernel flaw.
Comment 14 Nils Philippsen 2013-01-16 06:10:00 EST
All: the problems you have seem to involve an issue with your device not responding (either the kernel driver side of it, or the hardware). I think I've found the cause for the crash*, but the fix** won't help with your device issue, just avoid the crash.

*: When the device doesn't work as expected, the scanner driver tries to cancel the operation which attempts to cancel a worker thread which doesn't exist yet, i.e. is uninitialized.

**:
commit defdc1ab5c365735ac85e347d463a01cf96fc72d
Author:     Nils Philippsen <nils@redhat.com>
AuthorDate: Wed Jan 16 11:57:37 2013 +0100
Commit:     Nils Philippsen <nils@redhat.com>
CommitDate: Wed Jan 16 12:06:09 2013 +0100

    umax: initialize reader_pid early in sane_start()
    
    This avoids that subsequent errors followed by do_cancel() attempt to
    phtread_cancel() an invalid thread (which may cause a crash).

KitchM: do you see your scanner in /proc/scsi/scsi?
Comment 15 KitchM 2013-01-16 12:04:52 EST
No, it is not there.  Nor is it found in anything I try.
Comment 16 aum 2013-01-16 16:00:56 EST
Finally I fixed it by replacing the SCSI card. With the new one (Adaptec 2904) scanner works fine on my new machine with F17-64bit now. I tested my old one (INI-9090U) with my old MB and F17-64bit, it works fine, too. I think the problem was caused by the incompatibility between the MB and the SCSI card. Thanks for all help, anyway. Should this bug be closed some formal way? I do not know the procedure.
Best. Aum
Comment 17 KitchM 2013-01-16 16:34:02 EST
That can't be the problem in my case, since the scsi card is identified by the system and OS.

In any case, I would be surprised at a MB incompatibility if it is still supporting the same card slot style.  If it is, then get another motherboard.  It would then be the obvious culprit.
Comment 18 Nils Philippsen 2013-01-17 04:59:21 EST
(In reply to comment #15)
> No, it is not there.  Nor is it found in anything I try.

Have you tried a SCSI rescan? To do that, find the directory for your host adapter in /sys/class/scsi_host, then do:

echo "- - -" > "${host_dir}/scan"

(In reply to comment #16)
> Finally I fixed it by replacing the SCSI card. With the new one (Adaptec
> 2904) scanner works fine on my new machine with F17-64bit now. I tested my
> old one (INI-9090U) with my old MB and F17-64bit, it works fine, too. I
> think the problem was caused by the incompatibility between the MB and the
> SCSI card. Thanks for all help, anyway.

Good to hear that you've found a fix for your more immediate issue!

> Should this bug be closed some formal way? I do not know the procedure.

No, please leave this bug open until I've pushed an update which contains the fix I described in comment #14.
Comment 19 KitchM 2013-01-17 15:28:51 EST
I turned on my scanner.  Then I rebooted.  Then I opened a terminal as root and entered:
echo "- - -" > "${host_dir}/scan"
Then I tried:
echo "- - -" > "${/sys/class/scsi_host/host0}/scan"
That doesn't work: bad substitution.  So I tried:
echo "- - -" > "${host0}/scan"
That returned to the prompt.
Then I tried:
echo "- - -" > "${host1}/scan"
That returned to the prompt as well.
Next I opened the file scsi in /proc/scsi/scsi, but there was not change.  Here it is:
Attached devices:
Host: scsi0 Channel: 00 Id: 00 Lun: 00
  Vendor: ATA      Model: WDC WD400EB-00CP Rev: 06.0
  Type:   Direct-Access                    ANSI  SCSI revision: 05
Host: scsi1 Channel: 00 Id: 00 Lun: 00
  Vendor: PLEXTOR  Model: CD-R   PX-W2410A Rev: 1.02
  Type:   CD-ROM                           ANSI  SCSI revision: 05
Host: scsi1 Channel: 00 Id: 01 Lun: 00
  Vendor: ASUS     Model: DRW-1814BL       Rev: 1.14
  Type:   CD-ROM                           ANSI  SCSI revision: 05
Comment 20 Nils Philippsen 2013-02-01 10:44:43 EST
KitchM: uhm, ${host_dir} should be replaced, sorry for the confusion. If I guess correctly all the listed devices are S-ATA/P-ATA, right? In that case you first need to find out which of the directories in /sys/class/scsi_host/ corresponds to your SCSI adapter, best check each of its "proc_name" files and find the one which uses an actual SCSI driver ;-):

cd /sys/class/scsi_host/
grep '' */proc_name

Then change into that directory and do 'echo "- - -" > scan' to initiate a device rescan only on that host adapter.
Comment 21 Fedora Update System 2013-02-01 11:27:52 EST
sane-backends-1.0.23-7.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/sane-backends-1.0.23-7.fc17
Comment 22 Fedora Update System 2013-02-01 11:28:06 EST
sane-backends-1.0.23-7.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/sane-backends-1.0.23-7.fc18
Comment 23 KitchM 2013-02-01 12:03:34 EST
grep '' */proc_name returned:
host0/proc_name:pata_amd
host1/proc_name:pata_amd

I found two subdirectories under /sys/class/scsi_host/:
host1
host2

I ran echo "- - -" > scan and got nothing but a return to prompt for both of them.
Comment 24 Fedora Update System 2013-02-01 23:21:04 EST
Package sane-backends-1.0.23-7.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sane-backends-1.0.23-7.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-1841/sane-backends-1.0.23-7.fc17
then log in and leave karma (feedback).
Comment 25 KitchM 2013-02-03 13:16:26 EST
No joy.  Turned on scanner and the scanner tool could find no devices.  Rebooted system hoping to re-initialize the hardware, but got no device found.
Comment 26 KitchM 2013-02-15 14:54:11 EST
Any further ideas on how to get Fedora 17 to find the existing hardware?
Comment 27 Fedora Update System 2013-02-21 00:40:50 EST
sane-backends-1.0.23-7.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 28 Fedora Update System 2013-02-21 00:53:31 EST
sane-backends-1.0.23-7.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 29 KitchM 2013-02-24 17:28:19 EST
All of those latest versions are installed.  Turned on scanner.  Rebooted and ran Scanner Tool.  No scanner.  Still.
Comment 30 KitchM 2013-03-10 12:03:57 EDT
Here is some update information to the problem.  This is with a fresh install of the complete OS running Xfce and Compiz.  With new SDD, it is a very fast and impressively stable system.

However, there is still no scanner.  The hardware lister (lshw) program gives the following info:

SCSI storage controller
/0/9/7


product: Domex 536 [134A:1]
vendor: DTC Technology Corp. [134A]
bus info: pci@0000:05:07.0
version: 00
width: 32 bits
clock: 33MHz
capabilities:
	scsi
configuration:
	latency: 0
resources:
	ioport: b400(size=32)
this device hasn't been claimed

Please note the last line, whatever that means.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.